Bug 1029094 - Inconsistent notifications state after changing to Off
Inconsistent notifications state after changing to Off
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 11:22 EST by Tim Waugh
Modified: 2015-06-29 08:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:52:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2013-11-11 11:22:50 EST
Description of problem:
Setting notifications to "Off", then locking the screen, ends up with an inconsistent notifications state after unlocking the screen. The 'Notifications' menu in the messages panel at the bottom of the screen shows a 'Busy' icon (and the empathy status is set to 'Busy') but the Notifications slider is set to "On".

Version-Release number of selected component (if applicable):
gnome-shell-3.10.1-2.fc20.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1.Start empathy.
2.Super+M to show the messages panel (or push the mouse on the bottom of the screen)
3.Click on the notifications icon on the left.
4.Click on 'Notifications' to set it to Off.
5.Click on the notifications icon again.

Actual results:
Empathy status shows 'Busy', notifications menu in messages panel shows busy icon, but Notifications slider says "On".

Expected results:
Notifications slider should say "Off".

Additional info:
Turning off a second time seems to correct it.
Comment 1 Tim Waugh 2013-11-12 06:34:21 EST
Update: this doesn't always happen. Perhaps it's related to having locked/unlocked the session previously?
Comment 2 Tim Waugh 2013-12-05 05:54:35 EST
It seems to be to do with whether empathy is running. When empathy is running, I see the bug. When it is not, I don't.
Comment 3 Fedora End Of Life 2015-05-29 05:43:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:52:29 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.